[arch-projects] [devtools] [PATCH 1/5] checkpkg: Proper quoting, use double brackets

Lukas Fleischer archlinux at cryptocrack.de
Wed Aug 24 04:18:24 EDT 2011


Signed-off-by: Lukas Fleischer <archlinux at cryptocrack.de>
---
 checkpkg |   52 ++++++++++++++++++++++++++--------------------------
 1 files changed, 26 insertions(+), 26 deletions(-)

diff --git a/checkpkg b/checkpkg
index c0b2ceb..ddc14dd 100755
--- a/checkpkg
+++ b/checkpkg
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 # Source makepkg.conf; fail if it is not found
-if [ -r '/etc/makepkg.conf' ]; then
+if [[ -r '/etc/makepkg.conf' ]]; then
 	source '/etc/makepkg.conf'
 else
 	echo '/etc/makepkg.conf not found!'
@@ -9,86 +9,86 @@ else
 fi
 
 # Source user-specific makepkg.conf overrides
-if [ -r ~/.makepkg.conf ]; then
+if [[ -r ~/.makepkg.conf ]]; then
 	source ~/.makepkg.conf
 fi
 
 strip_url() {
-	echo $1 | sed 's|^.*://.*/||g'
+	echo "$1" | sed 's|^.*://.*/||g'
 }
 
-if [ ! -f PKGBUILD ]; then
+if [[ ! -f PKGBUILD ]]; then
 	echo 'This must be run in the directory of a built package.'
 	exit 1
 fi
 
 . PKGBUILD
-if [ "$arch" == 'any' ]; then
+if [[ $arch == 'any' ]]; then
 	CARCH='any'
 fi
 
 STARTDIR=$(pwd)
 TEMPDIR=$(mktemp -d /tmp/checkpkg-script.XXXX)
-cd $TEMPDIR
+cd "$TEMPDIR"
 
-for _pkgname in ${pkgname[@]}; do
-	if [ -z ${epoch} ] ; then
+for _pkgname in "${pkgname[@]}"; do
+	if [[ -z ${epoch} ]] ; then
 		pkgfile=${_pkgname}-${pkgver}-${pkgrel}-${CARCH}${PKGEXT}
 	else
 		pkgfile=${_pkgname}-${epoch}:${pkgver}-${pkgrel}-${CARCH}${PKGEXT}
 	fi
 
-	if [ -f "$STARTDIR/$pkgfile" ]; then
+	if [[ -f "$STARTDIR/$pkgfile" ]]; then
 		ln -s "$STARTDIR/$pkgfile" "$pkgfile"
-	elif [ -f "$PKGDEST/$pkgfile" ]; then
+	elif [[ -f "$PKGDEST/$pkgfile" ]]; then
 		ln -s "$PKGDEST/$pkgfile" "$pkgfile"
 	else
 		echo "File \"$pkgfile\" doesn't exist"
 		exit 1
 	fi
 
-	tmp=$(pacman -Spdd --noconfirm $_pkgname)
+	tmp=$(pacman -Spdd --noconfirm "$_pkgname")
 
-	if [ $? -ne 0 ]; then
+	if [[ $? -ne 0 ]]; then
 		echo "Couldn't download previous package for $_pkgname."
 		exit 1
 	fi
 
 	pkgurl=$(echo $tmp | rev | cut -d ' ' -f 1 | rev)
 
-	oldpkg=$(strip_url $pkgurl)
+	oldpkg=$(strip_url "$pkgurl")
 
-	if [ "$(basename $oldpkg)" = "$(basename $pkgfile)" ]; then
+	if [[ "$(basename $oldpkg)" = "$(basename $pkgfile)" ]]; then
 		echo "The built package ($_pkgname) is the one in the repo right now!"
 		exit 1
 	fi
 
-	if [ ! -f $oldpkg ]; then
+	if [[ ! -f $oldpkg ]]; then
 		if echo $pkgurl | grep '^file:///' > /dev/null 2>&1; then
 			ln -s "${pkgurl#file://}" $(basename "${pkgurl#file://}")
-		elif [ -f "$PKGDEST/$oldpkg" ]; then
+		elif [[ -f "$PKGDEST/$oldpkg" ]]; then
 			ln -s "$PKGDEST/$oldpkg" "$oldpkg"
-		elif [ -f "$STARTDIR/$oldpkg" ]; then
+		elif [[ -f "$STARTDIR/$oldpkg" ]]; then
 			ln -s "$STARTDIR/$oldpkg" "$oldpkg"
 		else
-			wget --quiet $pkgurl
+			wget --quiet "$pkgurl"
 		fi
 	fi
 
-	bsdtar tf $oldpkg > filelist-$_pkgname-old
-	bsdtar tf "$pkgfile" > filelist-$_pkgname
+	bsdtar tf "$oldpkg" > "filelist-$_pkgname-old"
+	bsdtar tf "$pkgfile" > "filelist-$_pkgname"
 
-	sort -o filelist-$_pkgname filelist-$_pkgname
-	sort -o filelist-$_pkgname-old filelist-$_pkgname-old
+	sort -o "filelist-$_pkgname" "filelist-$_pkgname"
+	sort -o "filelist-$_pkgname-old" "filelist-$_pkgname-old"
 
-	sdiff -s filelist-$_pkgname-old filelist-$_pkgname
+	sdiff -s "filelist-$_pkgname-old" "filelist-$_pkgname"
 
-	if diff filelist-$_pkgname-old filelist-$_pkgname | grep '\.so' > /dev/null 2>&1; then
+	if diff "filelist-$_pkgname-old" "filelist-$_pkgname" | grep '\.so' > /dev/null 2>&1; then
 		mkdir -p pkg
 		cd pkg
 		bsdtar xf ../"$pkgfile" > /dev/null
-		for i in $(diff ../filelist-$_pkgname-old ../filelist-$_pkgname | grep \> | grep '\.so' | awk '{print $2}'); do
-			echo "${i}: " "$(objdump -p $i | grep SONAME)"
+		for i in $(diff "../filelist-$_pkgname-old" "../filelist-$_pkgname" | grep \> | grep '\.so' | awk '{print $2}'); do
+			echo "${i}: " "$(objdump -p "$i" | grep SONAME)"
 		done
 		cd ..
 	else
-- 
1.7.6



More information about the arch-projects mailing list